#include <cmath>
#include <iostream>
using namespace std;

int leva(int* a, int n)
{
    int s=0;
    for(int i=0; i<n; i++)
    {
        s+=a[i];
    }
    return s;
}
int desna(int* a, int n, int m)
{
    return pow(m, n)-leva(a, n);
}
int main()
{
    int n, m;
    cin >> n >> m;
    int* a=new int[n];
    for(int i=0; i<n; i++)
    {
        cin >> a[i];
    }
    if(desna(a, n, m)<leva(a, n))
    {
        for(int i=0; i<n; i++)
        {
            a[i]=m-a[i];
        }
    }
    for(int i=0; i<n; i++)
    {
        if(a[i]==m)
            a[i]=0;
    }
    int s=0, b;
    for(int i=1; i<=n; i++)
    {
        b=0;
        for(int j=0; j<n; j++)
        {
            if(a[j]>=i)
                b++;
        }
        s+=b*(n-b);
    }
    cout << s;

    return 0;
}